> For the complete documentation index, see [llms.txt](https://docs.exoclick.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.exoclick.com/publishers/zh/vast/vast-wrapper.md).

# VAST 包装标签

## XML 示例

```xml
<?xml version="1.0" encoding="UTF-8"?>
<VAST version="3.0">
    <Ad id="1111111">
        <Wrapper>
            <AdSystem>ExoClick</AdSystem>
            <VASTAdTagURI><![CDATA[https://external.adserver.com/xml?cid=1111111]]></VASTAdTagURI>
            <Impression id="exotr">
                <![CDATA[https://syndication.magsrv.com/vregister.php?a=vimp&tracking_event=impression&idzone=22222&data=abcd]]></Impression>
            <Error>
                <![CDATA[https://syndication.magsrv.com/vregister.php?a=vview&errorcode=[ERRORCODE]&idzone=22222]]></Error>
            <Creatives>
                <Creative sequence="1" id="12345">
                    <Linear>
                        <TrackingEvents>
                            <Tracking id="prog_1" event="progress" offset="00:00:10.000">
                                <![CDATA[https://syndication.magsrv.com/vregister.php?a=vview&tracking_event=progress&progress=00:00:10.000&idzone=22222&data=abcd]]></Tracking>
                        </TrackingEvents>
                        <VideoClicks>
                            <ClickThrough>
                                <![CDATA[https://syndication.magsrv.com/click.php?data=abcd]]></ClickThrough>
                        </VideoClicks>
                    </Linear>
                </Creative>
            </Creatives>
        </Wrapper>
    </Ad>
</VAST>
```

## 属性

| 选项                                       | 说明                                                                                                                                             |
| ---------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------- |
| `<?xml version="1.0" encoding="UTF-8"?>` | XML 声明，定义了版本和编码。                                                                                                                               |
| `VAST`                                   | 此元素使用的 VAST 版本                                                                                                                                 |
| `Wrapper fallbackOnNoAd`                 | 表示此树中还包含另一个 VAST 元素。如果在广告位设置中启用了“视频回退”，此属性还会指出该元素在 VAST 队列中的位置。                                                                                |
| `VASTAdTagURI`                           | 此元素用于提供指向次级 VAST 响应的 URI。该次级响应可以是另一个 Wrapper，但最终 VAST Wrapper 必须返回一个 `<InLine>` 广告。版本 3 未限制 Wrapper 重定向次数，但从版本 4 开始，VAST 最多允许 5 次 Wrapper 重定向。 |
| `VideoClicks`                            | 此元素用于指定广告展示期间，如果用户直接点击视频播放器画面，视频播放器应执行的操作。当提供 `<VideoClicks>` 元素时，它包含一个子元素 `<ClickTracking>` ，其中包含 URI（或 `<ClickThrough>` （如果是 VAST 标签）。       |
| `ClickTracking`                          | 该元素用于跟踪 `clickthrough` 当创意文件处理 `clickthrough`.                                                                                                 |
| `Extension`                              | 广告服务器提供的其他设置                                                                                                                                   |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.exoclick.com/publishers/zh/vast/vast-wrapper.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
